%{!?_httpd_mmn: %global _httpd_mmn %(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo 0-0)}

Summary:        HTTP/2 module for Apache httpd
Name:           mod_http2
Version:        2.0.9
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://icing.github.io/mod_h2/
Source0:        https://github.com/icing/mod_h2/releases/download/v%{version}/mod_http2-%{version}.tar.gz

BuildRequires:  make gcc pkgconfig autoconf libtool
BuildRequires:  httpd-devel libnghttp2-devel openssl-devel /usr/bin/hostname
Requires:       httpd-mmn = %{_httpd_mmn}

%description
This module provides HTTP/2 (RFC 7540) support for the Apache HTTP Server. 
It relies on libnghttp2 to provide the core http/2 engine.

%prep
%autosetup

%build
autoreconf -i
%configure --with-apxs=%{_httpd_apxs}
%make_build

%install
%make_install
rm -rf %{buildroot}/etc/httpd/share/doc/

mkdir -p %{buildroot}%{_httpd_modconfdir}
echo "LoadModule http2_module modules/mod_http2.so" > %{buildroot}%{_httpd_modconfdir}/10-h2.conf
echo "LoadModule proxy_http2_module modules/mod_proxy_http2.so" > %{buildroot}%{_httpd_modconfdir}/10-proxy_h2.conf

%files
%license LICENSE
%doc README.md ChangeLog AUTHORS
%config(noreplace) %{_httpd_modconfdir}/10-h2.conf
%config(noreplace) %{_httpd_modconfdir}/10-proxy_h2.conf
%{_httpd_moddir}/mod_http2.so
%{_httpd_moddir}/mod_proxy_http2.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.9-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.9-4
- Rebuilt for httpd 2.4.57

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Miaojun Dong <zoedong@tencent.com> - 2.0.9-1
- initial build
